%define name    php5-oggvorbis
%define version 5.0.3
%define rversion 0.2

%define modname oggvorbis
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A23_%{modname}.ini

Summary:	PHP OGG wrapper for OGG/Vorbis files
Name:		%{name}
Version:	%{version}_%{rversion}
Release:	%mkrel 2
Group:		System/Servers
License:	PHP License
URL:		http://pecl.php.net/package/oggvorbis
Source0:	%{modname}-%{rversion}.tar.bz2
Source1:	%{modname}.ini.bz2
Patch0:		oggvorbis-0.2-label_at_end_of_compound_statement.diff.bz2
BuildRequires:	oggvorbis-devel
BuildRequires:	libogg-devel
BuildRequires:  php5-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
fopen wrapper for OGG/Vorbis files. Decompress OGG data to PCM
audio and vice-versa.   

%prep

%setup -q -n %{modname}-%{rversion}
%patch0 -p0

%build

%{_usrsrc}/php5-devel/buildext %{modname} "%{modname}.c" \
    "-logg -lvorbis -lvorbisenc -lvorbisfile" \
    "-DWITH_OGGVORBIS -DCOMPILE_DL_OGGVORBIS" \
    "-I%{_includedir}/vorbis -I%{_includedir}/ogg"

#php5ize
#%%configure2_5x \
#    --with-%{modname}=shared,%{_prefix}
#
#%%make
#mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php5/extensions
install -d %{buildroot}%{_sysconfdir}/php5.d

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php5.d/%{inifile}
install -m755 %{soname} %{buildroot}%{_libdir}/php5/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php5.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php5/extensions/%{soname}

%changelog
* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.2-2mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.2-1mdk
- initial Mandrakelinux package

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.2-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.2-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.2-1mdk
- rebuild for php 4.3.10

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_0.2-1mdk
- rebuild for php 4.3.9

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_0.2-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_0.2-2mdk
- remove redundant provides

* Sun Jun 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_0.2-1mdk
- rebuilt for php-4.3.7
- added P0

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.2-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.2-1mdk
- built for php 4.3.6

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.2-1mdk
- initial cooker contrib
